unit Unit1;

interface

uses
  Windows, Messages, Math, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Edit2: TEdit;
    Edit1: TEdit;
    Memo1: TMemo;
    CheckBox1: TCheckBox;
    Button1: TButton;
    Label4: TLabel;
    RadioGroup1: TRadioGroup;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin

  Edit1.text:='0,1';
Edit2.text:='0,356';

Memo1.Clear;
Memo1.Lines.Add('Рез-ты гр. 020601 Антонова Е.В.');
RadioGroup1.ItemIndex:=0; // Активна первая кнопка RadioGroup1
end;

procedure TForm1.Button1Click(Sender: TObject);
var x,y,a,w:Extended;
begin
// Ввод исходных данных
x:=StrToFloat(Edit1.Text);
y:=StrToFloat(Edit2.Text);
memo1.Lines.Add('Start Data:');
memo1.Lines.Add('x='+FloattoStrF(x,ffFixed,8,5));
memo1.Lines.Add('y='+FloattoStrF(y,ffFixed,8,5));
case RadioGroup1.ItemIndex of
0: w:=sinh(x);
1: w:=Sqr(x);
2: w:=Exp(x);
end;
if x*y>0 then
a:=(power((w+y),2))-(sqrt(w*y))
else
if x*y<0 then
a:=(power((w+y),2))+(sqrt(abs(w*y)))
else
a:=(power((w+y),2))+1;
if CheckBox1.Checked then
memo1.Lines.Add('Резалт с округлением a='+FLoatToStr(Round(a)))
else
memo1.Lines.Add('Резалт без округления a='+FloatToStrF(a,ffFixed,8,5));
end;


end.
